%define major 	1
%define api_version 3.0
%define libname %mklibname xml++ %{api_version} %major
%define libnamedev %mklibname -d xml++ %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name: 		libxml++
Summary: 	C++ interface for working with XML files
Version:	3.2.4
Release: 	%mkrel 2
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		https://libxmlplusplus.sourceforge.net/
License:	LGPLv2+
Group:		System/Libraries
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.4.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.1
BuildRequires:	doxygen
BuildRequires:	meson

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries

%description	-n %{libname}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libnamedev}
Summary:	Headers for developing programs that will use %name
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d xml++ 2.6 2

%description	-n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q

%build
%meson \
	-Dbuild-documentation=true
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxml++-%{api_version}.so.%{major}
%{_libdir}/libxml++-%{api_version}.so.%{major}.*

%files -n %{libnamedev}
%doc AUTHORS ChangeLog NEWS README
%doc %_datadir/doc/%name-%{api_version}/reference
%doc %_datadir/doc/%name-%{api_version}/manual/html
%_datadir/devhelp/books/%name-%{api_version}/%name-%{api_version}.devhelp2
%{_includedir}/*
%dir %_libdir/libxml++-%{api_version}
%_libdir/libxml++-%{api_version}/include/libxml++config.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Sun Mar 16 2025 wally <wally> 3.2.4-2.mga10
+ Revision: 2164926
- rebuild for libxml2 2.13.6

* Fri Sep 09 2022 ovitters <ovitters> 3.2.4-1.mga9
+ Revision: 1886170
- new version 3.2.4

* Sat Mar 19 2022 umeabot <umeabot> 3.2.3-2.mga9
+ Revision: 1799848
- Mageia 9 Mass Rebuild

* Thu May 27 2021 ovitters <ovitters> 3.2.3-1.mga9
+ Revision: 1728632
- new version 3.2.3

* Fri Oct 02 2020 ovitters <ovitters> 3.2.2-1.mga8
+ Revision: 1631862
- add HTML reference docs
- switch to meson™
- new version 3.2.2

* Wed Apr 22 2020 ovitters <ovitters> 3.0.1-4.mga8
+ Revision: 1570827
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 3.0.1-3.mga8
+ Revision: 1514665
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1299258
- Mageia 7 Mass Rebuild

* Mon Nov 14 2016 ovitters <ovitters> 3.0.1-1.mga6
+ Revision: 1067116
- new version 3.0.1

* Thu Feb 04 2016 ovitters <ovitters> 3.0.0-1.mga6
+ Revision: 935401
- bump major
- new version 3.0.0

* Tue Jan 12 2016 ovitters <ovitters> 2.91.3-1.mga6
+ Revision: 922083
- new version 2.91.3

* Sun Nov 29 2015 wally <wally> 2.91.2-1.mga6
+ Revision: 907017
- new libapi 3.0 and libmajor 0
+ ovitters <ovitters>
- new version 2.91.2

* Wed Oct 28 2015 ovitters <ovitters> 2.40.1-1.mga6
+ Revision: 896048
- new version 2.40.1

* Thu Oct 08 2015 ovitters <ovitters> 2.40.0-1.mga6
+ Revision: 887916
- new version 2.40.0

* Sat Sep 05 2015 ovitters <ovitters> 2.39.2-1.mga6
+ Revision: 873089
- new version 2.39.2

* Tue Aug 25 2015 cjw <cjw> 2.39.1-2.mga6
+ Revision: 869377
- rebuild with gcc 5

* Tue Aug 11 2015 ovitters <ovitters> 2.39.1-1.mga6
+ Revision: 862471
- new version 2.39.1

* Mon Jun 22 2015 ovitters <ovitters> 2.38.1-1.mga6
+ Revision: 839843
- new version 2.38.1

* Wed Oct 15 2014 umeabot <umeabot> 2.36.0-5.mga5
+ Revision: 744014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.36.0-4.mga5
+ Revision: 681888
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.36.0-3.mga4
+ Revision: 507488
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.36.0-2.mga3
+ Revision: 358620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 fwang <fwang> 2.36.0-1.mga3
+ Revision: 314305
- new version 2.36.0

* Mon Oct 08 2012 ovitters <ovitters> 2.35.4-1.mga3
+ Revision: 303664
- new version 2.35.4

* Thu Jun 21 2012 ovitters <ovitters> 2.35.3-1.mga3
+ Revision: 262441
- new version 2.35.3

* Thu Mar 22 2012 ovitters <ovitters> 2.35.2-1.mga3
+ Revision: 225685
- new version 2.35.2

* Thu Feb 16 2012 fwang <fwang> 2.35.1-1.mga2
+ Revision: 209716
- new version 2.35.1

* Tue Sep 06 2011 wally <wally> 2.34.2-1.mga2
+ Revision: 139711
- new version 2.34.2
- use xz source
+ fwang <fwang>
- do not ship .la files

* Tue Apr 19 2011 tv <tv> 2.34.1-1.mga1
+ Revision: 88371
- new release
- new release

* Fri Apr 01 2011 ahmad <ahmad> 2.33.2-1.mga1
+ Revision: 79429
- update to 2.33.2
- update the Source url
+ dmorgan <dmorgan>
- Remove mdv macros
- imported package libxml++


* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 585632
- update to new version 2.32.0

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 542083
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 529662
- new version
- update doc files list
- remove static library

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.1-2mdv2010.1
+ Revision: 520968
- rebuilt for 2010.1

* Mon Jul 27 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2010.0
+ Revision: 400709
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355972
- update to new version 2.26.0

* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 348198
- update to new version 2.24.3

* Mon Dec 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 317510
- update to new version 2.24.2

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 315884
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286530
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 273547
- new version
- update license

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2009.0
+ Revision: 231633
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 192433
- new version

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183018
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89508
- new version

* Wed Aug 29 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 73851
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 56556
- new version

* Sun Jun 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 37916
- new version


* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.0
+ Revision: 133371
- new version

* Sat Dec 23 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 101929
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 87596
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdv2007.1
+ Revision: 87541
- Import libxml++

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2007.0
- Rebuild

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-3mdk
- fix build

* Thu Jan 05 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- fix build
- Rebuild
- use mkrel

* Thu Oct 06 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Tue May 10 2005 Götz Waschk <waschk@mandriva.org> 2.10.0-2mdk
- fix deps for x86_64

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 2.9.2-0.1gpw
- add the docs
- add missing source file

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 2.9.2-1gpw
- New release 2.9.2

* Mon Dec 27 2004 Götz Waschk <waschk@linux-mandrake.com> 2.9.1-0.1gpw
- New release 2.9.1

* Tue Dec 21 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- new major
- New release 2.8.1

* Thu Nov 11 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- fix source URL
- update deps
- New release 2.8.0

* Tue Aug 03 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 2.6.1-1mdk
- 2.6.1

* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 1.0.4-2mdk
- Rebuild with new gcc

* Fri May 28 2004 Abel Cheung <deaddog@deaddog.org> 1.0.4-1mdk
- New version
- Drop source1 (inside tarball now)

* Mon May 17 2004 Abel Cheung <deaddog@deaddog.org> 1.0.3-2mdk
- And install missing header too

* Sat May 15 2004 Abel Cheung <deaddog@deaddog.org> 1.0.3-1mdk
- New version
- Source1: bundle missing file

